Package csb :: Package statistics :: Package samplers :: Package mc :: Module propagators

[frames] | no frames]

# Module propagators

source code

Provides various deterministic and stochastic propagators.

Classes
| AbstractMCPropagator Provides the interface for MC trajectory generators.
| AbstractNCMCPropagator Draws a number of samples from a PDF using the AbstractNCMCSampler.
| AbstractPropagator Abstract propagator class.
| HMCPropagator Draws a number of samples from a PDF using the HMCSampler and returns them as a Trajectory.
| Looper Implements an iterable list with a ring-like topology, that is, if the iterator points on the last element, next() returns the first element.
| MDPropagator Molecular Dynamics propagator.
| RWMCPropagator Draws a number of samples from a PDF using the RWMCSampler and returns them as a Trajectory.
| ThermostattedMDPropagator Thermostatted Molecular Dynamics propagator.

Variables
| __package__ = ``'``csb.statistics.samplers.mc``'``